<div style="margin-top: 20px;">
    <div class="container">

        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <!-- <h5>
                <span jhiTranslate="mpmApp.vehicleSalesOrder.home.title">Vehicle Sales Orders</span>
            </h5> -->
            <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                <li class="nav-item">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list" ></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
            </ul>
            <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label">Pilih Cabang 1</label>
                                <!--p-dropdown class="form-select" [options]="leasings" [(ngModel)]="selectedLeasing" placeholder="Select Leasing" ></p-dropdown-->
                                <select class="form-control" [(ngModel)]="selectedLeasing">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label">Pilih Cabang 2</label>
                                <!-- </p-dropdown class="form-select" [options]="korals" [(ngModel)]="selectedKorsal" placeholder="Select Korsal" ></p-dropdown> -->
                                <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                    <option [value]="null">-</option>
                                    <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label">Pilih Cabang 3</label>
                                <select class="form-control" [(ngModel)]="selectedSalesman">
                                    <option [value]="null">Select Cabang</option>
                                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="search()">
                            <span>Cari</span>
                        </button>
                    </div>
                </p-accordionTab>
            </p-accordion>
<!-- 
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.vehicleSalesOrder.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button pButton type="submit"
                        icon="fa-th-list"
                        class="ui-button-primary btn-sm"
                        (click)="buildReindex()">
                </button>
                *jhiHasAnyAuthority="['ROLE_ADMIN']">
                </div>
            </form> -->
            <!-- <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearching" id="currentSearching"
                    name="currentSearching" placeholder="Find VSO">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="searching(currentSearching)" *ngIf="currentSearching">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearching">
                    <span class="fa fa-trash-o"></span>
                </button>                        
            </div> -->

            <div style="margin-top: 10px; width: 100%;">
                <div class="ui-g-12">
                    <div class="ui-g-6">
                                <label>Cabang 1 :</label><br>
                            <!-- <div class="col-md-6"> -->
                                <!-- : {{vehicleSalesOrders.salesUnitRequirement.customerName}} -->
                            <!-- </div> -->
            
                                <label>Cabang 2 :</label><br>
                            <!-- <div class="col-md-6"> -->
                                <!-- : {{vehicleSalesOrders.salesUnitRequirement.personCustomer.dob | date: 'dd/MM/yyyy'}} -->
                            <!-- </div> -->
                        
                                <label>Cabang 3 :</label><br>
                            <!-- <div class="col-md-6"> -->
                                <!-- : ini no ktp pemohon -->
                            <!-- </div> -->
                    </div>
                </div>
                        

            <!-- <font size="3">Cabang 1: xxx</font><br>
            <font size="3">Cabang 2: xxx</font><br>
            <font size="3">Cabang 3: xxx</font><br> -->

            <p-dataTable
                [value]="vehicleSalesOrders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>

                <!-- <p-column header="No. REQ"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.requestNumber">
                            {{rowData.requestNumber}}
                        </div>
                    </ng-template>
                </p-column> -->
                
                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.noVSO'|translate}}" >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- <div *ngIf="rowData.orderNumber"> -->
                            <!-- {{rowData.salesUnitRequirement.requirementNumber}} -->
                            <!-- <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                            </div>
                            <ng-template #templateOrderNumber>
                                {{rowData.orderNumber}}
                            </ng-template>
                            <ng-template #templateRequirementNumber>
                                {{rowData.salesUnitRequirement.requirementNumber}}
                            </ng-template> -->
                        <!-- </div> -->
                    <!-- </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.tglVso'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.dateOrder">
                            {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column> -->

                <p-column header="Market Name ">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.customer.partyName}}
                        <!-- <div *ngIf="rowData.customer.partyName">
                            {{rowData.dateOrder}}
                        </div> -->
                        <!-- <div *ngIf="rowData.customerId">
                            <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                        </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Kode Tipe">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.customerName"> -->
                            <!-- {{rowData.customerName}} -->
                        <!-- Status isi nya apaan seh Riwan ? -->
                        <!-- </div> -->
                        <!-- {{getStatusMotor(rowData.salesUnitRequirement.productId)}}
                        {{cekIfHotItem(rowData.salesUnitRequirement.productId)}} -->
                        <div *ngIf="rowData.salesUnitRequirement.unitHotItem===true; then templateHotItem; else templateNormal">
                        </div>
                        <ng-template #templateHotItem>
                            Hot Item
                        </ng-template>
                        <ng-template #templateNormal>
                            Biasa
                        </ng-template>
                        <!-- {{rowData.statusMotor}} -->
                    </ng-template>
                </p-column>

                <p-column header="Warna">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.leasingName}}
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.salesUnitRequirement.salesmanName}}
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Cabang 1"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.korsalName}}
                        </div>
                    </ng-template>
                </p-column>

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.statusAdSls'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.salesUnitRequirement.salesmanName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.adminSalesVerifyValue==2">Not Approved</div>
                        <div *ngIf="rowData.adminSalesVerifyValue==1">Approved</div>
                        <div *ngIf="rowData.adminSalesVerifyValue==0">-</div> -->
                        <!-- <container-element [ngSwitch] = "rowData.adminSalesVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element> -->
                        <!-- <div *ngIf="rowData.adminSalesVerifyValue==2">Not Approved</div> -->
                    <!-- </ng-template>
                </p-column> -->

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.StatusAfc'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.leasingName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div>
                        <div *ngIf="rowData.afcVerifyValue==1">Approved</div>
                        <div *ngIf="rowData.afcVerifyValue==0">-</div> -->

                        <!-- <container-element [ngSwitch] = "rowData.afcVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element> -->
                        <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div> -->
                    <!-- </ng-template>
                </p-column> -->

                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.statusKacab'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- {{rowData.leasingName}} -->
                        <!-- <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div> -->
                        <!-- <div *ngIf="rowData.currentStatus==72 || rowData.currentStatus==17; else elseBlock">Approved</div>
                        <ng-template #elseBlock>-</ng-template> -->
                        <!-- <container-element [ngSwitch] = "rowData.currentStatus">
                            <div *ngSwitchCase = 61> Approve </div>
                            <div *ngSwitchCase = 74> Approve </div>
                            <div *ngSwitchDefault> - </div>
                        </container-element> -->
                        <!-- <ng-template #elseBlock>-</ng-template> -->
                    <!-- </ng-template>
                </p-column> -->

                <p-column header="Cabang 2">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{getDescription(rowData.currentStatus)}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Cabang 3">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{getDescription(rowData.currentStatus)}}
                        </div>
                    </ng-template>
                </p-column>

                 <!-- <p-column [style]="{'text-align': 'center'}" header="{{'mpmApp.vehicleSalesOrder.requestnokanosin'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame !== null || rowData.salesUnitRequirement.requestIdMachineAndFrame !== null  "> 
                             <i class="fa fa-check"></i>
                        </div>
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame == null || rowData.salesUnitRequirement.requestIdMachineAndFrame == null  "> 
                            <i class="fa fa-close"></i>
                       </div>
                    </ng-template>
                </p-column> -->
                
                <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}"  [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body"> -->
                        <!-- <button pButton type="submit"
                                [routerLink]="['../vehicle-sales-order-manual-matching/', rowData.idOrder]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button> -->
                        <!-- <div *ngIf="rowData.currentStatus==10 || rowData.currentStatus==72 || rowData.currentStatus==74 || rowData.currentStatus==61 || rowData.currentStatus==11">
                            <div *ngIf="isMatchingMenu; else notMatchingMenu">
                                <button pButton type="submit"
                                    [routerLink]="['../../vehicle-sales-order/'+ rowData.idOrder + '/matching/' + isMatchingMenu]"
                                    icon="fa-pencil"
                                    class="flat-button">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus==17"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </div>
                            <ng-template #notMatchingMenu>
                                <button pButton type="submit"
                                    [routerLink]="['../vehicle-sales-order/'+ rowData.idOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus==17"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </ng-template>
                        </div>
                    </ng-template>
                </p-column> -->

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
                <div class="btn-filter-wrapper pull-right">
                <button type="button" class="btn btn-primary btn-filter">
                    <span>Create Request Note</span>
                </button>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" class="btn btn-primary btn-filter">
                        <span>Print List</span>
                    </button>
                    &nbsp;
                    &nbsp;
                    &nbsp;
                </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
